# Programming

The following are relevant for my current projects:

- [OpenJDK](#openjdk)
- [SBT](#sbt)
- [coursier](#coursier)
    - [Scala REPL](#scala-repl)
- [zig](#zig)
    - [`x86_64`](#x86-64)
    - [`arm64`](#arm64)
- [janet](#janet)
- [racket](#racket)
- [`runc` and `containerd`](#runc-and-containerd)
- [buildkit](#buildkit)

## [OpenJDK](https://openjdk.java.net/)

Download the LTS release from [Adoptium](https://adoptium.net/).

## [SBT](https://www.scala-sbt.org/)

Use [my scripts](utilities.md#my-scripts):

```bash
$ update-sbt <version>
```

## [coursier](https://get-coursier.io/)

Visit the website and run the provided script. Note that setup on ARM64 might
require additional work and the provided script might not work properly.

### [Scala REPL](https://www.scala-lang.org/)

```bash
cs install scala3
```

## [zig](https://ziglang.org/)

Use [my scripts](utilities.md#my-scripts):

### `x86_64`

```bash
$ update-zig --arch x86_64
```

### `arm64`

```bash
$ update-zig --arch aarch64
```

## [janet](https://janet-lang.org/)

Clone [https://github.com/janet-lang/janet](https://github.com/janet-lang/janet)
and build from source. Once installed and `janet` is available on the path,
clone [https://github.com/janet-lang/jpm](https://github.com/janet-lang/jpm) and 
build from source.

## [racket](https://racket-lang.org/)

There are multiple options for installation. The easiest approach is to use the 
system package manager:

```bash
$ sudo apt install racket
```

Alternatively, use the latest 
[source distribution](http://download.racket-lang.org/) and build from source.

## `runc` and `containerd`

```bash
sudo apt install runc containerd
```

## [buildkit](https://github.com/moby/buildkit)

Download the latest release from GitHub: 
[https://github.com/moby/buildkit/releases](https://github.com/moby/buildkit/releases)
