# Utilities

The following are tools I generally install and are actively using.

- [My Scripts](#my-scripts)
- [rxvt-unicode](#rxvt-unicode)
- [fzf](#fzf)
- [rustup](#rustup)
    - [btm (bottom)](#btm-bottom)
    - [delta](#delta)
    - [exa](#exa)
    - [fd](#fd)
    - [rg (ripgrep)](#rg-ripgrep)

## My Scripts

These need to be pulled down and installed. This should be the first step.

```bash
$ git clone git@git.sr.ht:~eidolon/scripts
$ mkdir $HOME/bin
$ mkdir $HOME/.startup
$ cd scripts
$ ./install.sh
```

## rxvt-unicode

Clone [https://github.com/exg/rxvt-unicode](https://github.com/exg/rxvt-unicode)
and build from source. Note that the GitHub repository is a mirror of the CVS
repository.

## [fzf](https://github.com/junegunn/fzf)

First, clone the `fzf` repository:

```bash
$ git clone --depth 1 https://github.com/junegunn/fzf.git ~/.fzf
```

Then source the installation script:

```bash
$ source ~/.fzf/install
```

## [rustup](https://rustup.rs/)

Visit the website and run the provided script. While the tools I install via
Cargo are available elsewhere, I like having the Rust toolchain and being able
to pull from Cargo.

### [btm (bottom)](https://github.com/clementtsang/bottom)

```bash
$ cargo install bottom
```

### [delta](https://github.com/dandavison/delta)

```bash
$ cargo install git-delta
```

### [exa](https://github.com/ogham/exa)

```bash
$ cargo install exa
```

### [fd](https://github.com/sharkdp/fd)

```bash
$ cargo install fd-find
```

### [rg (ripgrep)](https://github.com/BurntSushi/ripgrep)

```bash
$ cargo install ripgrep
```
